%define name libimobiledevice
%define version 1.0.6
%define major 1
%define libname %mklibname imobiledevice %major
%define libnamedev %mklibname -d imobiledevice

Name:           %{name}
Version:        %{version}
Release:        %mkrel 1
Summary:        Library for connecting to Apple iPhone and iPod touch
Group:          System/Libraries
License:        LGPLv2+
URL:            http://libimobiledevice.org/
Source0:        http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
BuildRequires: libtasn1-devel
BuildRequires: libplist-devel
BuildRequires: usbmuxd-devel >= 0.1.4
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: python-devel

%description
libimobiledevice is a library for connecting to Apple's iPhone or iPod touch devices

%package -n %libname
Group: System/Libraries
Summary: Library for connecting to Apple iPhone and iPod touch
Requires: %name >= %version

%description -n %libname
libimobiledevice is a library for connecting to Apple's iPhone or iPod touch devices

%package -n %libnamedev
Summary: Development package for libimobiledevice
Group: Development/C
Provides: %name-devel = %version-%release
Requires: %libname = %{version}-%{release}

%description -n %libnamedev
Files for development with libimobiledevice.

%package -n python-imobiledevice
Summary: Python bindings for libimobiledevice
Group: Development/Python
BuildRequires: swig
BuildRequires: libplist++-devel
BuildRequires: python-devel

%description -n python-imobiledevice
Python bindings for libimobiledevice.

%prep
%setup -q
#%patch0 -p1
#autoreconf -fi

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%{_bindir}/idevice_id
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceenterrecovery
%{_bindir}/idevicescreenshot
%{_mandir}/man1/idevice*.1.*

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice.so
%{_libdir}/libimobiledevice*a
%{_includedir}/libimobiledevice

%files -n python-imobiledevice
%defattr(-,root,root,-)
%{python_sitearch}/imobiledevice/


%changelog
* Fri Apr 08 2011 ahmad <ahmad> 1.0.6-1.mga1
+ Revision: 82027
- update to 1.0.6

* Fri Mar 25 2011 ahmad <ahmad> 1.1.0-1.mga1
+ Revision: 77412
- update to 1.1.0 and submit it to core/testing

* Tue Jan 18 2011 pterjan <pterjan> 1.0.4-3.mga1
+ Revision: 21818
- Rebuild for python 2.7

* Sat Jan 15 2011 blino <blino> 1.0.4-2.mga1
+ Revision: 18994
- remove old ldconfig scriptlets
- imported package libimobiledevice


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 602231
- new version 1.0.4

* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 1.0.2-3mdv2011.0
+ Revision: 591447
- rebuild for py 2.7

* Thu Jul 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-1mdv2011.0
+ Revision: 556904
- libimobiledevice 1.0.2

* Fri May 14 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.1-1mdv2010.1
+ Revision: 544746
- 1.0.1

* Mon Mar 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-1mdv2010.1
+ Revision: 526320
- libimobiledevice 1.0.0
- new major (0 => 1)

* Mon Feb 01 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.9.7-1mdv2010.1
+ Revision: 499151
- import libimobiledevice


